## upterm host

Host a terminal session

### Synopsis

Host a terminal session via a reverse SSH tunnel to the upterm server. By default, the command authenticates against the upterm server using the private keys located at `~/.ssh/id_dsa`, `~/.ssh/id_ecdsa`, `~/.ssh/id_ed25519`, and `~/.ssh/id_rsa`. The host can permit a list of client public keys by specifying an authorized_keys file. By default, the input/output of the host attaches to the input/output of the client's. The host can force the execution of a command after the client joins, and attach the input/output of this command to the client's.

```
upterm host [flags]
```

### Examples

```
  # Host a session by running $SHELL.
  # The client's input/output is attached to the host's.
  upterm host

  # Host a session with a custom command.
  # The client's input/output is attached to the host's.
  upterm host -- docker run --rm -ti ubuntu bash

  # Host a session by running 'tmux new -t pair-programming'.
  # The host runs 'tmux attach -t pair-programming' after the client joins the session.
  # The client's input/output is attached to this command's.
  upterm host --force-command 'tmux attach -t pair-programming' -- tmux new -t pair-programming
```

### Options

```
  -a, --authorized-key string   an authorized_keys file that lists public keys that are permitted to connect.
  -f, --force-command string    force execution of a command and attach its input/output to client's.
  -h, --help                    help for host
  -i, --private-key strings     private key for public key authentication against the upterm server (required).
      --server string           upterm server address (required), supported protocols are shh, ws, or wss. (default "ssh://uptermd.upterm.dev:22")
```

### SEE ALSO

* [upterm](upterm.md)	 - Secure Terminal Sharing

###### Auto generated by spf13/cobra on 16-Mar-2020
